Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004854TestLinkTest Executepublic2011-12-30 11:082012-09-01 19:57
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004854: Save and Next - Issues with display CF for test plan design - always EMPTY
DescriptionSteps to reproduce
1. create a test project with a test suite and 4 test cases with names
TC100,TC200,TC300,TC400

2. create a Custom Field (CF) with label ISSUECF to be used on Test Cases during Test Plan Design Phase and to be DISPLAYED DURING execution

3. Create a test plan and a build
4. Assign 4 test cases to test plan, assigning to CF ISSUECF following values
TC100 - ZZ100
TC200 - ZZ200
TC300 - ZZ300
TC400 - ZZ400

4. now go to execution feature
5. click on left side tree on TC100
6. On Right side you will see also the CF ISSUECF with value ZZ100
7. choose PASSED and click on 'Save and Next'
8. Right side frame will be updated with info regarding TC200 BUT ISSUECF display NO VALUE => WRONG
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016189)
fman (administrator)
2011-12-30 11:15
edited on: 2011-12-30 11:16

==============================================================================
Quick fix for TL version 1.9.3

on execSetResults.php
if( !is_null($nextItem) )
{
  $tcase_id = $nextItem['tcase_id'];
  $tcversion_id = $nextItem['tcversion_id'];

  // TICKET 4854: Save and Next - Issues with display CF for test plan design - always EMPTY
  // need info about this test case => need to update linked_tcversions info
  $filters['tcase_id'] = $tcase_id;
  $lt = $tplan_mgr->get_linked_tcversions($args->tplan_id,$filters,$options);
processTestCase($nextItem,$gui,$args,$cfg,$lt,$tree_mgr,$tcase_mgr,$attachmentRepository);

            }

==============================================================================

(0017240)
fman (administrator)
2012-09-01 19:57

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-12-30 11:08 fman New Issue
2011-12-30 11:08 fman Assigned To => fman
2011-12-30 11:08 fman Status new => assigned
2011-12-30 11:15 fman Note Added: 0016189
2011-12-30 11:16 fman Note Edited: 0016189 View Revisions
2011-12-30 11:20 fman Tag Attached: TO BE FIXED on 2.0
2012-08-18 12:41 fman Task Workflow Status => READY FOR TESTING
2012-08-18 12:41 fman Status assigned => resolved
2012-08-18 12:41 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-18 12:41 fman Resolution open => fixed
2012-09-01 19:57 fman Note Added: 0017240
2012-09-01 19:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker